Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

List all object custom field definitions (admin)

GET/administration/object-custom-fields
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Responses
200
Array of ObjectCustomFieldResponseDto
descriptionstringrequired
entitystringrequired
Allowed:TaskProjectOrganizationObject
idstringrequired
namestringrequired
objectTypeIdstringrequired
selectOptionsany[]required
showInHeaderbooleanrequired
showInListbooleanrequired
sortnumberrequired
translationsany[]required
typestringrequired
Allowed:TextTextareaNumberDateCheckboxSelectMultiSelectCurrencyUrl
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/administration/object-custom-fields" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
[
  {
    "description": "string",
    "entity": "Task",
    "id": "string",
    "name": "string",
    "objectTypeId": "string",
    "selectOptions": [
      null
    ],
    "showInHeader": true,
    "showInList": true,
    "sort": 0,
    "translations": [
      null
    ],
    "type": "Text"
  }
]